package com.zd.airbottle.service;

import java.util.List;
import com.zd.airbottle.domain.QpBottleStorageError;
import com.zd.airbottle.domain.vo.QpBottleStorageErrorVo;

/**
 * 气瓶异常记录Service接口
 * 
 * @author hanson
 * @date 2022-05-30
 */
public interface IQpBottleStorageErrorService 
{
    /**
     * 查询气瓶异常记录
     * 
     * @param id 气瓶异常记录主键
     * @return 气瓶异常记录
     */
    QpBottleStorageError selectQpBottleStorageErrorById(Long id);

    /**
     * 查询气瓶异常记录列表
     * 
     * @param qpBottleStorageError 气瓶异常记录
     * @return 气瓶异常记录集合
     */
    List<QpBottleStorageError> selectQpBottleStorageErrorList(QpBottleStorageError qpBottleStorageError);

    /**
     * 新增气瓶异常记录
     * 
     * @param qpBottleStorageError 气瓶异常记录
     * @return 结果
     */
    int insertQpBottleStorageError(QpBottleStorageError qpBottleStorageError);

    /**
     * 修改气瓶异常记录
     * 
     * @param qpBottleStorageError 气瓶异常记录
     * @return 结果
     */
    int updateQpBottleStorageError(QpBottleStorageError qpBottleStorageError);

    /**
     * 批量删除气瓶异常记录
     * 
     * @param ids 需要删除的气瓶异常记录主键集合
     * @return 结果
     */
    int deleteQpBottleStorageErrorByIds(Long[] ids);

    /**
     * 删除气瓶异常记录信息
     * 
     * @param id 气瓶异常记录主键
     * @return 结果
     */
    int deleteQpBottleStorageErrorById(Long id);

    /**
     * 查询气瓶相关信息
     * @param storageErrorVos 元数据
     */
    void getBottleInfo(List<QpBottleStorageErrorVo> storageErrorVos);

    /**
     * 查询气瓶相关信息
     * @param id 异常ID
     */
    QpBottleStorageErrorVo getStorageErrorInfo(Long id);
}
